<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    tools:context=".MusicTunerActivity">

    <TextView
        android:id="@+id/tv_result"
        android:layout_marginTop="100dp"
        app:layout_constraintTop_toTopOf="parent"
        app:layout_constraintRight_toRightOf="parent"
        app:layout_constraintLeft_toLeftOf="parent"
        tools:text="haha"
        android:textColor="#000000"
        android:textSize="30sp"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"/>

    <TextView
        app:layout_constraintTop_toBottomOf="@+id/tv_result"
        android:id="@+id/tv_result_voice_tones"
        android:layout_marginTop="100dp"
        app:layout_constraintRight_toRightOf="parent"
        app:layout_constraintLeft_toLeftOf="parent"
        tools:text="C"
        android:textColor="#000000"
        android:textSize="40sp"
        android:textStyle="bold"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"/>

    <TextView
        app:layout_constraintBaseline_toBaselineOf="@+id/tv_result_voice_tones"
        android:id="@+id/tv_before_result_voice_tones"
        app:layout_constraintLeft_toLeftOf="parent"
        tools:text="C"
        android:textColor="#000000"
        android:textSize="20sp"
        android:textStyle="bold"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"/>

    <TextView
        app:layout_constraintBaseline_toBaselineOf="@+id/tv_result_voice_tones"
        android:id="@+id/tv_after_result_voice_tones"
        app:layout_constraintRight_toRightOf="parent"
        tools:text="C"
        android:textColor="#000000"
        android:textSize="20sp"
        android:textStyle="bold"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"/>

    <TextView
        tools:text="C"
        android:layout_marginBottom="10dp"
        app:layout_constraintRight_toRightOf="@+id/tv_result_voice_tones"
        app:layout_constraintLeft_toLeftOf="@+id/tv_result_voice_tones"
        app:layout_constraintBottom_toTopOf="@+id/tv_result_voice_tones"
        android:textColor="#000000"
        android:textSize="20sp"
        android:id="@+id/tv_difference"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"/>

</androidx.constraintlayout.widget.ConstraintLayout>